# HideAbilityPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class HideAbilityPhase

#### Hierarchy (View Summary)

- Phase
  - HideAbilityPhase

- Defined in src/phases/hide-ability-phase.ts:4

##### Index

### Constructors

constructor

### Methods

end
start

## Constructors

### constructor

- new HideAbilityPhase(): HideAbilityPhase

  #### Returns HideAbilityPhase

  Inherited from Phase.constructor

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/hide-ability-phase.ts:5